• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
[split] CI4 backwards compatibility?

#1
Hello,

will the new version be compatible backward? I mean, an upgrade will be possible or a web-service created on 3.x will have to be created on 4.x from scratch?

Thx!
Reply

#2
CI4 will not be backwards compatible with CI3. Many things will be familiar, but apps will need to be rewritten for CI4. We are trying to make it as painless as possible Smile

I recommend Lonnie's blog post ... http://blog.newmythmedia.com/blog/show/2...re-Alpha_1
Reply

#3
there's a small hint of the `rewrite` needed towards the bottom of this thread: https://forum.codeigniter.com/thread-65555.html

It's not really a "All the code" refactoring, but there's a not-insignificant number of changes needed to get an existing one working on CI4.
Reply


Digg   Delicious   Reddit   Facebook   Twitter   StumbleUpon  


Users browsing this thread:
1 Guest(s)


  Theme © 2014 iAndrew  
Powered By MyBB, © 2002-2017 MyBB Group.